Loading...
Searching...
No Matches
TranslationStackTransform Class Reference
Components » Transforms

`#include <elxTranslationStackTransform.h>`

## Detailed Description

A Translation transform based on the itkStackTransform.

This transform is a Translation transformation. Calls to TransformPoint and GetJacobian are redirected to the appropriate sub transform based on the last dimension (time) index.

This transform uses the size, spacing and origin of the last dimension of the fixed image to set the number of sub transforms the origin of the first transform and the spacing between the transforms.

The parameters used in this class are:

Parameters
  Transform: Select this transform as follows:
  (Transform "TranslationStackTransform")

Transform Parameters

  StackSpacing: stores the spacing between the sub transforms.
  exanoke: (StackSpacing 1.0)

  StackOrigin: stores the origin of the first sub transform.
  exanoke: (StackOrigin 0.0)

  NumberOfSubTransforms: stores the number of sub transforms.
  exanoke: (NumberOfSubTransforms 10)

Todo
  It is unsure what happens when one of the image dimensions has length 1.

Generated on 1768596610 for elastix by 1.15.0 |